weka.associations

## Enum NumericItem.Comparison

- java.lang.Object
- - java.lang.Enum<NumericItem.Comparison>
  - - weka.associations.NumericItem.Comparison

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NumericItem.Comparison>
  Enclosing class:
    NumericItem

      public static enum NumericItem.Comparison
      extends java.lang.Enum<NumericItem.Comparison>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL`
    `GREATER_THAN`
    `LESS_THAN_OR_EQUAL_TO`
    `NONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NumericItem.Comparison` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NumericItem.Comparison[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final NumericItem.Comparison NONE

    - #### EQUAL

          public static final NumericItem.Comparison EQUAL

    - #### LESS_THAN_OR_EQUAL_TO

          public static final NumericItem.Comparison LESS_THAN_OR_EQUAL_TO

    - #### GREATER_THAN

          public static final NumericItem.Comparison GREATER_THAN

  - ### Method Detail

    - #### values

          public static NumericItem.Comparison[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NumericItem.Comparison c : NumericItem.Comparison.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NumericItem.Comparison valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null